﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HCNavegador
{
    public partial class PrincForm : Form
    {
        public PrincForm()
        {
            InitializeComponent();
        }

        public void FecharAba(TabPage aba)
        {
            abas.TabPages.Remove(aba);
            if (abas.TabPages.Count == 0)
            {
                Close();
            }
        }

        public void NovaAba()
        {
            NovaAba("");
        }

        public void NovaAba(string endereco)
        {
            TabPage aba = new TabPage("Sem título");
            NavegadorControle nc = new NavegadorControle(this, endereco);
            aba.Controls.Add(nc);
            nc.Dock = DockStyle.Fill;
            abas.TabPages.Add(aba);
            abas.SelectedTab = aba;
        }

        private void novaAbaMenu_Click(object sender, EventArgs e)
        {
            NovaAba();
        }

        private void PrincForm_Load(object sender, EventArgs e)
        {
            NovaAba();
        }
    }
}